Forums

Warcraft3 Frozen - Bnet

Auteur Réponses
rcmn Mercredi 26 Décembre 2007 à 20:25
rcmnAnonymous

kubuntu 7.10 / wine current unbuntu / POL 2.0.4 then 2.0.5
Desole si le sujet a deja ete traite ici mais il n'ai pas possible de faire de cherche pour le moment. Ce n'est pas vraiment un probleme avec playonlinux mais j'aurais plutot besoin d'un eclaircicement.
J'ai crompris(en lisant winehq apps DB) qu'il n'y a pas de support Bnet pour Warcraft3 avec certaine versions de wine.Mais je pensais que cela etait vrai seulement pour des vieille versions. Le probleme c'est que je n'arrive pas a me logger avec ma version actuel qui est la version propose par le repo ubuntu. Mais plus etrange c'est que j'essaye regulierement utilisant divers versions. Je me souvient avoir pu le faire a un certain moment(2003/4) et le seul probleme etait la lenteur et certain problemes de graphisme etc...

En ce moment je l'ai installer via playonlinux 2.0.4 puis upgrader POL vers 2.0.5 et enfin ajouter directX.

Si je lance WCIII frozen trone j'ai une tres bonne resolution ,tres fluide ,mais si je veux me connecter sur Bnet je reste sur le premier menu du jeu (je n'arrive pas a la fenetre de login de Bnet)

Si quelqu'un me dis qu'il est possible d'utiliser Bnet .Je tenterais une reinstall complete avec la version de wine suggerer .Et si je rencontre des problemes je posterais ici toute les info techniques.

Edité par rcmn


disk SSD,video Nvidia Quadro 1000M,Proc Intel Core i7-2760QM CPU @ 2.40GHz × 8,Mem 4GB,Linux mint 14 x64,Gamepad for Xbox 360,PLAYSTATION 3 Controller
Edjinchi Mercredi 26 Décembre 2007 à 22:00
Edjinchi

Pour Bnet je ne sais pas si cela est possible mais tu n'as pas besoin de tous réinstaller. Il y a dans menu "Outils" de POL une rubrique "Gérer les versions de wine" qui te permet d'installer, assigner, désinstaller et désassigner les version de wine.

rcmn Mercredi 26 Décembre 2007 à 22:07
rcmnAnonymous

merci je vais essayer .Par contre quelqu'un peu me conseiller une version qu'il utilise avec succes pour ce connecter sur Bnet ?

disk SSD,video Nvidia Quadro 1000M,Proc Intel Core i7-2760QM CPU @ 2.40GHz × 8,Mem 4GB,Linux mint 14 x64,Gamepad for Xbox 360,PLAYSTATION 3 Controller
Zoloom Jeudi 27 Décembre 2007 à 1:54
ZoloomAnonymous

Selon appdb la 0.9.43 marche avec battle.net

Tu va dans outil > Gérer les versions de Wine > Installer > 0.9.43 > Assigner > Warcraft 3 Frozen trone > 0.9.43

Et normalement sa devrait marcher!

rcmn Vendredi 28 Décembre 2007 à 8:13
rcmnAnonymous

POL un outil genial merci beaucoup .bon voila pour les compliments.
Mon probleme est parciellement resolu .Donc le couple ATI/wine 0.9.43 ne peut fonctionner. Je vais devoir ajouter ATI Pro9800 dans mon profile .

Bref la derniere version de wine qui fonctionne avec WCIII frozen sur une carte ATI c'est
wine 0.9.17 . http://bugs.winehq.org/show_bug.cgi?id=8770

J'ai pu faire une partie entiere .Il y a des bugs serieux mais il est possible de jouer en etant un peu handicape. Durant la partie le jeu freeze une demi second mais continu.Donc c'est vraiment pas genant de ce point de vue,cela doit correspondre au bug de freeze des version s plus recente.

Il semble qu'il y ai moyen de retirer le changement fait et recompiler une version plus recente . Si je prend le temps d'appliquer le fix a une version 0.9.4x .Comment vais-je installer cette nouvelle version ?

le fix ou reintroduire l'erreur :
remplacer
list_add_tail( &process->thread_list, &thread->proc_entry );
par
list_add_head( &process->thread_list, &thread->proc_entry );
dans server/process.c



Edité par rcmn


disk SSD,video Nvidia Quadro 1000M,Proc Intel Core i7-2760QM CPU @ 2.40GHz × 8,Mem 4GB,Linux mint 14 x64,Gamepad for Xbox 360,PLAYSTATION 3 Controller
rcmn Samedi 29 Décembre 2007 à 6:09
rcmnAnonymous

Le fix fonctionne et j'ai pu jouer 3 parties sans problemes .J'ai recompile wine 0.9.45 avec le changement.Comme je n'ai pas pu installer le deb pkg de POL a cause de la dependance j'ai installe le paquet tar.gz .
Maintenant pour plus de facilite d'admin j'aimerais avoir tous en .deb. le plus simple serait d'utiliser le gestionnaire wine de POL en ajoutant cette version modifiee de 0.9.45 .
Avez-vous un howto facile a suivre pour que je puisse rajouter ma version dans ~/.PlayOnLinux/WineVersions/ ?
Merci.

disk SSD,video Nvidia Quadro 1000M,Proc Intel Core i7-2760QM CPU @ 2.40GHz × 8,Mem 4GB,Linux mint 14 x64,Gamepad for Xbox 360,PLAYSTATION 3 Controller
rcmn Lundi 31 Décembre 2007 à 17:39
rcmnAnonymous

Quelqu'un pourrait me repondre s'il vous plait ? merci.

disk SSD,video Nvidia Quadro 1000M,Proc Intel Core i7-2760QM CPU @ 2.40GHz × 8,Mem 4GB,Linux mint 14 x64,Gamepad for Xbox 360,PLAYSTATION 3 Controller
Apocalypse555 Mardi 1 Janvier 2008 à 16:54
Apocalypse555

Slt,

Hey il y a le feu c'est un forum pas un chat alors les personnes compétentes sont peu-être pas connecté tout le temps (et oui les modos et les admins ont une vie en dehors du forum ) ! C'est les périodes de fêtes donc c'est pas vraiment ce qui les intéresse pour le moment (et c'est normal ) !

Donc fait preuve de patience stp ! En plus ton problème est en début de page donc il n'y a pas besoin de le relancer pour le moment ...

De plus c'est qu'un jeu c'est pas non plus super urgent tu peux jouer à autre chose en attendant tranquillement une réponse

Sinon bon jeu et bonne chance pour ton problème (tout problème a une solution)

goku Mardi 1 Janvier 2008 à 20:16
goku

Il n'y a pas de howto pour le moment. C'est Tinou qui a créé cet utilitaire et celui-ci est pour le moment en vacances. Je ne suis pas sur que quelqu'un d'autre soit en mesure de t'informer sur le fonctionnement. Donc il va te faloir attendre un peu

Edité par goku


Windows de Microsoft.

Mac de Apple.

Linux du monde entier.
Aymeric P. Mercredi 2 Janvier 2008 à 8:23
Aymeric P.
Admin

Salut,
Comme dit dans un autre post, je n'ai pas Linux sur moi (vacance et tout)
Si je ne me trompe pas, tu installe la version de wine dans ~/.PlayOnLinux/WineVersions/
comme ceci (enfin si je ne me trompe pas)
./configure --prefix="$HOME/.PlayOnLinux/WIneVersions/"
make && make install

Puis tu peux assigner dans le menu POL (enfin normalement)
Si ./configure ne veut pas du --prefix regarde dans les options qu'il fournit pour l'installation, sinon tu attends qu'une autre personne te reponde
A+

Former member.